%define upstream_name    WWW-Shorten-Bitly
%define upstream_version 2.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interface to shortening URLs using http://bitly.com
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Interface to shortening URLs using http://bitly.com

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_bindir}/bitly_url
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.1.0-5.mga9
+ Revision: 1810571
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-4.mga8
+ Revision: 1506971
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1287287
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.1.0-2.mga7
+ Revision: 1167406
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.1.0-1.mga7
+ Revision: 1157412
- new version 2.001

* Sun Jun 19 2016 pterjan <pterjan> 1.170.0-3.mga6
+ Revision: 1035871
- Rebuild for perl 5.22.2

* Mon Apr 18 2016 shlomif <shlomif> 1.170.0-2.mga6
+ Revision: 1003401
- convert to make_install
- Some spec cleanups and resubmit
- Importing from cpan2pkg


* Mon Jan 18 2016 cpan2dist 1.17-1mga
- initial mageia release, generated with cpan2dist
